/*! \file AgendaBuilder.hpp
 * \brief AgendaBuilder class.
 * created Wed Mar 2 21:13:50 EST 2005
 * header by mkh script
 */

#ifndef AGENDABUILDER_H
#define AGENDABUILDER_H

#include "Dbug.hpp"
#include "Agenda.hpp"

using namespace std;

class AgendaBuilder : public Dbug {

 public:
  //! Returns a pointer to the instance of this class.
  static AgendaBuilder* Instance();

  //! generate Scan inferences.
  Agenda* build(const string& configFile);

 protected:
  AgendaBuilder(){}

 private:
  static AgendaBuilder* _instance;

};

#endif
