#ifndef _BestFirstComparator_H_
#define _BestFirstComparator_H_

#include "Comparator.hpp"
#include "Item.hpp"

//! The BestFirst comparator for Agenda to order Items in best first manner.
class BestFirstComparator : public Comparator {
 public:

  virtual ~BestFirstComparator() {};

  //! Compares two Items according to their inside and
  //! outside score, retrieved from the Chart.
  virtual bool operator()(const Item* a,
			  const Item* b) const;

};
#endif
