#include "Chart.hpp"


size_t Chart::sm_chartCount = 0;

// at the moment, there is no way to propagate edge relaxation
// up the inference chain
MemoResult Chart::updateScoreAndInference(Item* olditem, const Item* newitem) {
  // if the new item has a lower cost, keep this lower cost
  if(olditem->getInsideScore() > newitem->getInsideScore()){
    olditem->setInsideScore(newitem->getInsideScore());
    olditem->setAuxScore(newitem->getAuxScore());
    olditem->setModelScore(newitem->getModelScore());
    olditem->fuseInference(newitem->getInference());
    return UPDATE;
  }
  else {
    return NOEFFECT;
  }
}
