
#ifndef _DUMMYNGRAMPROBS_H_
#define _DUMMYNGRAMPROBS_H_

#include <iostream>
#include <cmath>

using namespace std;

class BigramProbs {

public:

  BigramProbs(){
    // THROW("No ngram library distributed. Please plug in your own ngram library. Returning p=1 for each query.");
    cerr << "WARNING: No ngram library distributed. Please plug in your own ngram library. Returning p=1 for each query." << endl;
  }

  virtual ~BigramProbs(){}

  void loadModel(const std::string& modelFileStem){}

  inline double getProb(const std::string& a, const std::string& givenB) const {
    return 1;
  }
  inline double getUniProb(const std::string& a) const {
    return 1;
  }

  inline double getLogProb(const string& a, const string& givenB) const {
    return log(getProb(a, givenB));
  }

  inline double getLogUniProb(const string& a) const {
    return log(getUniProb(a));
  }

};

#endif
