#ifndef _LongestSpanComparator_H_
#define _LongestSpanComparator_H_

#include "Comparator.hpp"
#include "Item.hpp"

//! The LongestSpan comparator for Agenda to order Items based on span length.
class LongestSpanComparator : public Comparator {
 public:

  virtual ~LongestSpanComparator() {};

  //! Compares two Items retrived from the Chart
  //! based on the length of their spans
  virtual bool operator()(const Item* a,
			  const Item* b) const;

};
#endif
