#ifndef MSTEP_H
#define MSTEP_H

#include "Dbug.hpp"
#include "LearnableGrammar.hpp"

//! A class to manage the M step of the EM algorithm.
class MStep : public Dbug {
public:
  
  virtual ~MStep() {}

  /// oldModel gets updated according to newModel
  /// params are references to pointers so that the pointers can be updated
  virtual LearnableGrammar* minimizeCost(LearnableGrammar*& model, LearnableGrammar*& gradient) const;
};

#endif
