#ifndef NAME_MAP_H
#define NAME_MAP_H

#include <string>
#include "MoreAlgorithms.hpp"

using namespace std;

class NameAddressMap {
public:

  //! Maps names to addresses
  typedef hash_map<char*, string> NAMapType;
  //! Maps addresses to names
  typedef hash_map<string, char*> ANMapType;

  static ANMapType m_AddressNameMap;
  static NAMapType m_NameAddressMap;

  static NAMapType& initNameMap();
  static ANMapType& initAddressMap();

  static void deleteNameAddressMap();
};

#endif
