#ifndef _NullActiveFilter_H_
#define _NullActiveFilter_H_

#include "ActiveLearningFilter.hpp"

//!  NullActiveFilter simply returns true for all examples
 
class NullActiveFilter : public ActiveLearningFilter {

  typedef ActiveLearningFilter _base;

public:

  NullActiveFilter(){}

  ~NullActiveFilter() {
  }

  /**
   * This method will will compare the given supervisory and
   * learner parses and return an appropriately updated model
   */
  bool filter(SentenceTuple example){ return true; }

};

#endif
