#ifndef SEARCHSTRATEGYBUILDER_H
#define SEARCHSTRATEGYBUILDER_H

#include "Dbug.hpp"
#include "SearchStrategy.hpp"

using namespace std;

class SearchStrategyBuilder : public Dbug {

  public:
    //! Returns a pointer to the instance of this class
    static SearchStrategyBuilder* Instance();

    //! build a search strategy from its config file
    SearchStrategy* build(const string &configFile);

	//! size

  protected:
    SearchStrategyBuilder() {}

  private:
    static SearchStrategyBuilder *_instance;
};

#endif

