#ifndef _HeadMTreeUnBin_H_
#define _HeadMTreeUnBin_H_

#include <string>
#include "HeadMTree.hpp"
#include "StringVocabulary.hpp"
#include "IOUtil.hpp"

//! A function class employing several ways to binarize
//! a multitree.
class Unbinarizer {
public:
  //! The unbinarization interface.
  void operator()(HeadMTree& tree,
		  vector<StringVocabulary* > NTVocabularyVec);
protected:
  void operator()(HeadMTree& tree,
                  HeadMTree::pre_order_iterator rootIter,
		  vector<StringVocabulary* > NTVocabularyVec);

};

#endif
