#ifndef _UniformPerceptronUpdateRule_H_
#define _UniformPerceptronUpdateRule_H_

#include "UpdateRule.hpp"
#include "HeadMTree.hpp"
#include "LearnableGrammar.hpp"
#include "SPVector.hpp"

using namespace std;

class UniformPerceptronUpdateRule : public UpdateRule {
  typedef UpdateRule _super;

public:

  ~UniformPerceptronUpdateRule() {}

  /// compute the gradient for each feature -- here is the default for MLE
  void getFeatureGradients( size_t supervisorMarginSize, size_t learnerMarginSize, size_t intersectionMarginSize,
			    SCORE& supervisorGradient, SCORE& learnerGradient, 
			    SCORE& intersectionGradient, SCORE& unseenFeatGradient) const;
};

#endif
