/*! \file UpdateRuleBuilder.hpp
 * \brief UpdateRuleBuilder class.
 */

#ifndef UPDATERULEBUILDER_H
#define UPDATERULEBUILDER_H

#include "UpdateRule.hpp"
#include "Dbug.hpp"

using namespace std;

class UpdateRuleBuilder : public Dbug {

 public:
  //! Returns a pointer to the instance of this class.
  static UpdateRuleBuilder* Instance();

  //! build an update rule
  UpdateRule* build(const string& ruleType);

 protected:
  UpdateRuleBuilder(){}

 private:
  static UpdateRuleBuilder* _instance;

};

#endif
