#ifndef ACTIVEFILTERBUILDER_H
#define ACTIVEFILTERBUILDER_H

#include "Dbug.hpp"
#include "ActiveLearningFilter.hpp"
#include <vector>

using namespace std;

class ActiveFilterBuilder : public Dbug {

 public:
  //! Returns a pointer to the instance of this class.
  static ActiveFilterBuilder* Instance();

  /**
  * Construct an active learning filter based off of a string argument
  * if filters become more complex this may become a config file.
  */
  ActiveLearningFilter* build(const string&);

 protected:
  ActiveFilterBuilder(){}

 private:
  static ActiveFilterBuilder* _instance;

};

#endif
