#include "GradientMStep.hpp"
#include "NaiveWMTG.hpp"

/// \param newModel is a gradient vector for \param oldModel
/// maximization is a simple addition of the gradient to the base model
LearnableGrammar* GradientMStep::minimizeCost(LearnableGrammar*& pModel, LearnableGrammar*& pGradient) const {

  pModel->increment(pGradient);

  pGradient->clear();

  return pModel;
}
