
#include "HeirRoleVectorEvent.hpp"

//! Empty constructor.
HeirRoleVectorEvent::
HeirRoleVectorEvent(): _super(FirstType(NTLink(), 0), SecondType()) {
}

//! Default constructor.
HeirRoleVectorEvent::
HeirRoleVectorEvent(const arity_t& dim) : _super(FirstType(NTLink(), 0), SecondType()) {}

//! Useful constructor.
HeirRoleVectorEvent::
HeirRoleVectorEvent(const FirstType l, const HeirRoleVector& v)
  : _super(l, v) {
    //all HeirRoleVector must be normalized before being put into an event..
    this->second.normalize();

  }

