#include "MStep.hpp"
#include "NaiveWMTG.hpp"

/// Runs the MLE M-step, which is essentially a normalization.
/// takes ownership of both inputs
/// \param oldModel is unused in this base case
LearnableGrammar* MStep::minimizeCost(LearnableGrammar*& oldModel, LearnableGrammar*& newModel) const {
  newModel->estimate();
  oldModel->clear();
  swap(oldModel, newModel);

  return newModel;
}
