#ifndef _MaxCoverComparator_H_
#define _MaxCoverComparator_H_

#include "Comparator.hpp"
#include "WMTG.hpp"
#include "W2WTM.hpp"
using namespace std;

//! This is a comparator that sorts from biggest to smallest
//! items based on span amd size. returns true if a > b
class MaxCoverComparator : public Comparator{
public:

  MaxCoverComparator(Grammar* g, arity_t ar);

  ~MaxCoverComparator(){};

  bool operator()(const Item* p1, const Item* p2) const;
  
private:
  WMTG* m_pWMTG;
  W2WTM::W2WTMType* m_pW2WTM;

  arity_t m_inputArity;
};

#endif
