/*! \file OutsideCostEstimatorBuilder.hpp
 * \brief OutsideCostEstimatorBuilder class.
 * created Wed Mar 2 21:13:50 EST 2005
 * header by mkh script
 */

#ifndef OCEBUILDER_H
#define OCEBUILDER_H

#include "OutsideCostEstimator.hpp"
#include "Dbug.hpp"

class Grammar;

using namespace std;

class OutsideCostEstimatorBuilder : public Dbug {

 public:
  //! Returns a pointer to the instance of this class.
  static OutsideCostEstimatorBuilder* Instance();

  //! build an estimator
  OutsideCostEstimator* build(const string& configFile, Grammar* pGrm = NULL);

 protected:
  OutsideCostEstimatorBuilder(){}

 private:
  static OutsideCostEstimatorBuilder* _instance;

};

#endif
