#ifndef _PAVTree_C_
#define _PAVTree_C_

#include "PAVTree.hpp"
#include "tree.hpp"
#include "PAV.hpp"

template<class _DecoratedTree>
PAVTree<_DecoratedTree>::
PAVTree() {
  //__head_bk = this->getHead();
}

template<class _DecoratedTree>
PAVTree<_DecoratedTree>::
PAVTree(const _super& base) {
  // __head_bk = base.getHead();
  set_head(base.getHead());
}

template<class _DecoratedTree>
PAVTree<_DecoratedTree>::~PAVTree() {}// setHead(__head_bk);}

template<class _DecoratedTree>
void PAVTree<_DecoratedTree>::
setPAV(iterator it, const PAV& pav) {
  if(is_valid(it) && it != this->end()) {
    BGET_PAV(*it) = pav;
  }
}

template<class _DecoratedTree> template<class iter>
iter PAVTree<_DecoratedTree>::
//addKids(iter position, const value_type& x)
append_child(iter position, const value_type& x) {
  iter it;
  // if empty tree, use set_head
  if(position == this->end()){
    return _super::set_head(x);
  }
  else {
    return _super::append_child(position, x);
  }

}

#endif
