
#include "SynCat.hpp"

// Global symbol for a null nonterminal, every language.
const SynCat NULLNT(0);

// Global symbol for the root nonterminal in every language.
const SynCat Root(1);

// Global preterminal for EOSH, every language.
const SynCat RootTag(2);

const SynCat DummyNT(3);

const SynCat UNKNT(4);

const SynCat OutOfBoundsNT(5);

//! Unknown pre-terminal.
const SynCat UNK_PRTM(6);


//! Undefined position, SynCat, Pre-Terminal, and Terminal.
const short UNDEF_POS(0);
const SynCat UNDEF_NT(0);
const SynCat UNDEF_PRTM(0);
