#include "Terminal.hpp"

// Global symbol for a null terminal, every language.
const Terminal NULLT(0);

//! Unknown word in every language.
const Terminal Unknown(1);

// Global symbol for the "end-of-sentence head" in every language.
const Terminal EOSH(2);

const Terminal DummyT(3);

const Terminal UNKT(4);

const Terminal OutOfBoundsT(5);

//! Undefined Terminal
const Terminal UNDEF_T(0);

/** used in Heir/Depend events to mark which is heir. i.e. if there
    is a terminal that is marked as this, you know it inherits its
    actual terminal from this parent. This is assumed in Heir Events,
    but not in HeirDependencyEvents. */
const Terminal HeirMark(7);
;
